package exosearch;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ThreadLocalRandom;

import search.ExternalSearchV1;
import search.Searchable;
import search.WorkerListener;

/**
 * @author Stephen Tavener
 */
public class Random implements ExternalSearchV1
{
	/**
	 * Default constructor
	 */
	public Random() 
	{
		// All functionality moved to init()
	}

	@Override
	public Map<String, Object> parameters() 
	{
		final Map<String,Object> defaults = new HashMap<>();
		return defaults;
	}
	
	@Override
	public double[] search(
			final WorkerListener searchListener,
			final Map<String,Object> parameters,
			final Searchable game)
	{	
		final double[] values = new double[game.numActions()];
		Arrays.fill(values,  Searchable.MC_DRAW);
		values[ThreadLocalRandom.current().nextInt(values.length)] = Searchable.MC_WIN;
		return values;
	}
	
	@Override
	public String toString() {
		return "External Random";
	}
}
